
# norootforbuild


Name:           apache2-mod_cguard
BuildRequires:  apache2-devel
%define modname mod_cguard
%define apxs /usr/sbin/apxs2
%define apache apache2
%define apache_libexecdir %(%{apxs} -q LIBEXECDIR)
%define apache_sysconfdir %(%{apxs} -q SYSCONFDIR)
%define apache_includedir %(%{apxs} -q INCLUDEDIR)
%define apache_serverroot %(%{apxs} -q PREFIX)
%define apache_localstatedir %(%{apxs} -q LOCALSTATEDIR)
%define apache_mmn        %(MMN=$(%{apxs} -q LIBEXECDIR)_MMN; test -x $MMN && $MMN)
Version:        0.1
Release:        3.1
License:        Apache License 2.0
Group:          Productivity/Networking/Web/Servers
Requires:       apache2 %{apache_mmn} 
Autoreqprov:    on
Summary:        Connection Guard Module for Apache 2
URL:            http://httpd.renatasystems.org/mod_cguard/
Source:         http://httpd.renatasystems.org/mod_cguard/%{modname}-%{version}.tgz
Patch0:		mod_cguard-void.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Simple and flexible connection limiter

Author: Alexey V. Degtyarev <alexey@renatasystems.org>

%if 0%{?opensuse_bs}
%debug_package
%endif

%prep
%setup -n %{modname}
%patch0

%build
%{apxs} -c -Wc,"-Wall -g" mod_cguard.c

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{apache_libexecdir}
cp -p .libs/mod_cguard.so $RPM_BUILD_ROOT/%{apache_libexecdir}

%files
%defattr(-,root,root)
%{apache_libexecdir}/%{modname}.so

%changelog
* Fri Mar 23 2007 poeml@suse.de
- build debug package
* Thu Mar 22 2007 poeml@suse.de
- package created
